{subnet}: Calculate subnet information

API: networkcalc.com:networkcalc-api
Endpoint: /ip/{subnet}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 419ms

Description

Calculate detailed subnet information for an IPv4 address or CIDR block. Supports multiple subnets using the format [subnet_1,subnet_2,...].

Parameters (3)

binary (string, query, optional)

Include binary representation in response

Constraints: {'enum': ['0', '1', 'true', 'false']}

fields (string, query, optional)

A comma-separated list of fields to include in the response

subnet (string, path, required)

An IPv4 address or CIDR block (e.g., 192.168.1.0/24)

Examples (1)

Calculate subnet information openapi-spec
curl 'https://networkcalc.com/api/ip/192.168.1.0/24'
import requests

resp = requests.get("https://networkcalc.com/api/ip/192.168.1.0/24")
data = resp.json()
import zingu_apis

api = zingu_apis.api("networkcalc")
result = api.fetch("ip/{subnet}")

for item in result:
    print(item)
const resp = await fetch("https://networkcalc.com/api/ip/192.168.1.0/24");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:34:22.502258 200 419ms
2026-04-15 03:59:41.523094 200 438ms
2026-04-14 01:14:29.023943 200 437ms
2026-04-12 12:31:00.069167 200 422ms
2026-04-10 02:38:11.339139 ERR
2026-04-09 02:16:35.991515 ERR